// Generated by CoffeeScript 2.3.1
var _, app, connection, express, fs, hangup, historycount, http, io, ip, pickup, port, url;

fs = require('fs');

ip = require('ip');

_ = require('lodash');

express = require('express');

// config = require("./config.js")
app = express();

url = require('url');

http = require('http').Server(app);

io = require('socket.io')(http);

port = 8000;

app.use(express.static(__dirname + "/"));

http.listen(port, function() {
  return console.log(`-> :${port}`);
});

historycount = fs.readdirSync("./history").length;

pickup = function() {
  console.log("send pickup to arduino");
  return io.emit("pick_up");
};

hangup = function(history) {
  var H;
  console.log("send hangup to arduino");
  historycount += 1;
  H = JSON.parse(history);
  H.caller = historycount;
  return fs.writeFile(`./history/call${historycount}.json`, JSON.stringify(H, null, 2));
};

connection = function(socket) {
  console.log(socket.id + " joined.");
  io.emit("samples", fs.readdirSync("./samples"));
  socket.on("incoming_call", pickup);
  socket.on("hang_up", hangup);
  socket.on('disconnect', function() {});
  return socket.on('leave', function(t) {
    return socket.disconnect();
  });
};

io.on('connection', connection);

//# sourceMappingURL=server.js.map
